Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.datatype
Class QNameDatatypeValidator

    java.lang.Object
      |
      +--org.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--org.apache.xerces.validators.datatype.AbstractStringValidator
                  |
                  +--org.apache.xerces.validators.datatype.QNameDatatypeValidator

public class QNameDatatypeValidator
extends AbstractStringValidator

QName Validator validates a QName type. QName represents XML qualified names. The value space of QName is the set of tuples {namespace name, local part}, where namespace name is a anyURI and local part is an NCName. The lexical space of QName is the set of strings that match the QName production of [Namespaces in XML].

Version:
  $Id: QNameDatatypeValidator.java,v 1.13 2001/06/20 15:09:08 sandygao Exp $
Author:
  Jeffrey Rodriguez, Mark Swinkles - List Validation refactoring

Fields inherited from class org.apache.xerces.validators.datatype.AbstractStringValidator
`FACET_SPECIAL_TOKEN, fEnumeration, fLength, fMaxLength, fMinLength, fTokenType, SPECIAL_TOKEN_ENTITY, SPECIAL_TOKEN_IDNAME, SPECIAL_TOKEN_IDNCNAME, SPECIAL_TOKEN_IDREFNAME, SPECIAL_TOKEN_IDREFNCNAME, SPECIAL_TOKEN_NAME, SPECIAL_TOKEN_NCNAME, SPECIAL_TOKEN_NMTOKEN, SPECIAL_TOKEN_NONE`

Fields inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`QNameDatatypeValidator()`
`QNameDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`protected void` | `assignAdditionalFacets(java.lang.String key, java.util.Hashtable facets)`
`protected void` | `checkValueSpace(java.lang.String content)`
`int` | `compare(java.lang.String content, java.lang.String facetValue)` Compares content in the Domain value vs.
`protected static void` | `setNCNameValidator(DatatypeValidator dv)`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractStringValidator
`checkBaseFacetConstraints, clone, derivationList, getLength, inheritAdditionalFacets, setTokenType, validate, validateToken`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, getWSFacet, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QNameDatatypeValidator

    public QNameDatatypeValidator()
                           throws InvalidDatatypeFacetException

### QNameDatatypeValidator

    public QNameDatatypeValidator(DatatypeValidator base,
                                  java.util.Hashtable facets,
                                  boolean derivedByList)
                           throws InvalidDatatypeFacetException

Method Detail

### assignAdditionalFacets

    protected void assignAdditionalFacets(java.lang.String key,
                                          java.util.Hashtable facets)
                                   throws InvalidDatatypeFacetException

  Overrides:
    assignAdditionalFacets in class AbstractStringValidator

### checkValueSpace

    protected void checkValueSpace(java.lang.String content)
                            throws InvalidDatatypeValueException

  Overrides:
    checkValueSpace in class AbstractStringValidator

### compare

    public int compare(java.lang.String content,
                       java.lang.String facetValue)

  Description copied from interface: DatatypeValidator
  Compares content in the Domain value vs. lexical value. e.g. If type is a float then 1.0 may be equivalent to 1 even tough both are lexically different.
  Tags copied from interface: DatatypeValidator
  Parameters:
    `value1` -
    `valu2` -
  Returns:

### setNCNameValidator

    protected static void setNCNameValidator(DatatypeValidator dv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.